- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
GSmtp::VerifierFactory Class Reference

A factory for addresss verifiers. More...

`#include <gverifierfactory.h>`

## Static Public Member Functions
static Verifier * | newVerifier (const std::string &address, unsigned int timeout)
| Returns a Verifier on the heap. More...
static std::string | check (const std::string &address)
| Checks an address. More...

## Detailed Description

A factory for addresss verifiers.

Definition at line 39 of file gverifierfactory.h.

## Member Function Documentation

std::string GSmtp::VerifierFactory::check | ( | const std::string & | address | ) |
| static

Checks an address.

Returns an empty string if okay, or a diagnostic reason string.

Definition at line 30 of file gverifierfactory_exec_enabled.cpp.

References GSmtp::FactoryParser::check().

GSmtp::Verifier * GSmtp::VerifierFactory::newVerifier | ( | const std::string & | address,
|  | unsigned int | timeout
| ) |  |
| static

Returns a Verifier on the heap.

Definition at line 35 of file gverifierfactory_exec_enabled.cpp.

References GSmtp::FactoryParser::parse().

The documentation for this class was generated from the following files:

- gverifierfactory.h
- gverifierfactory_exec_enabled.cpp